qpid::client::MessageReplayTracker Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
qpid::client::MessageReplayTracker Class Reference

Utility to track messages sent asynchronously, allowing those that are indoubt to be replayed over a new session. More...

`#include <qpid/client/MessageReplayTracker.h>`

List of all members.

## Classes
struct | ReplayRecord
## Public Member Functions
| MessageReplayTracker (uint flushInterval)
void | send (const Message &message, const std::string &destination="")
void | init (AsyncSession session)
void | replay (AsyncSession session)
void | setFlushInterval (uint interval)
uint | getFlushInterval ()
void | checkCompletion ()
template<class F >
void | foreach (F &f)

## Detailed Description

Utility to track messages sent asynchronously, allowing those that are indoubt to be replayed over a new session.

## Constructor & Destructor Documentation

qpid::client::MessageReplayTracker::MessageReplayTracker | ( | uint | flushInterval | ) |

## Member Function Documentation

void qpid::client::MessageReplayTracker::checkCompletion | ( |  | ) |

template<class F >

void qpid::client::MessageReplayTracker::foreach | ( | F & | f | ) | `[inline]`

Definition at line 48 of file MessageReplayTracker.h.

uint qpid::client::MessageReplayTracker::getFlushInterval | ( |  | ) |

void qpid::client::MessageReplayTracker::init | ( | AsyncSession | session | ) |

void qpid::client::MessageReplayTracker::replay | ( | AsyncSession | session | ) |

void qpid::client::MessageReplayTracker::send | ( | const Message & | message,
|  | const std::string & | destination = `""`
| ) |  |

void qpid::client::MessageReplayTracker::setFlushInterval | ( | uint | interval | ) |

The documentation for this class was generated from the following file:

- qpid/client/MessageReplayTracker.h